<html>
<head>
<title>Ogre::StaticGeometry::MaterialBucket Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StaticGeometry.html">StaticGeometry</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">MaterialBucket</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::StaticGeometry::MaterialBucket Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::StaticGeometry::MaterialBucket" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>A <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html" title="A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same L...">MaterialBucket</a> is a collection of smaller buckets with the same <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> (and implicitly the same LOD).  
 <a href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::StaticGeometry::MaterialBucket:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1StaticGeometry_1_1MaterialBucket__inherit__graph.gif" border="0" usemap="#Ogre_1_1StaticGeometry_1_1MaterialBucket_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1StaticGeometry_1_1MaterialBucket_inherit__map" id="Ogre_1_1StaticGeometry_1_1MaterialBucket_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="49,5,204,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1StaticGeometry_1_1MaterialBucket-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">GeometryBucket</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#abacbea05442639e1dc5e4962a559f234">GeometryBucketList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">list of Geometry Buckets in this region  <a href="#abacbea05442639e1dc5e4962a559f234"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#abacbea05442639e1dc5e4962a559f234">GeometryBucketList</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ab2f7c7785a86b2bf05998b96b73c5952">GeometryIterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Iterator over geometry.  <a href="#ab2f7c7785a86b2bf05998b96b73c5952"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ae4abb9d4a5a88ff4cb1fb0f4b1fcac88">MaterialBucket</a> (<a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a> *parent, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;materialName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ad0fed93d61daf061b73952e81d1143ff">~MaterialBucket</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ab454a749c2ba7bae4002c70ed5afa626">getParent</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a5d5aba36b489789f297a57087f223d85">getMaterialName</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the material name.  <a href="#a5d5aba36b489789f297a57087f223d85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a73c3eb66a47f97224dcbeb48dc9bb6c5">assign</a> (<a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html">QueuedGeometry</a> *qsm)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign geometry to this bucket.  <a href="#a73c3eb66a47f97224dcbeb48dc9bb6c5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#aa3a817dab145e00ab3c07f1f62556f33">build</a> (bool stencilShadows)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Build.  <a href="#aa3a817dab145e00ab3c07f1f62556f33"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ad013710ae1cc19fe26a30c23cfd0eb37">addRenderables</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> group, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lodValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add children to the render queue.  <a href="#ad013710ae1cc19fe26a30c23cfd0eb37"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#aa338a96b9145a0c01e33da7e4728111c">getMaterial</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the material for this bucket.  <a href="#aa338a96b9145a0c01e33da7e4728111c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ab2f7c7785a86b2bf05998b96b73c5952">GeometryIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#afbacbd597b172a0a3fbb59223cebc134">getGeometryIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the contained geometry.  <a href="#afbacbd597b172a0a3fbb59223cebc134"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#aa64dfa9bd9617249def12e684dde9caa">getCurrentTechnique</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>.  <a href="#aa64dfa9bd9617249def12e684dde9caa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a823eca275c2d617cc5736a117bf048a0">dump</a> (std::ofstream &amp;of) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump contents for diagnostics.  <a href="#a823eca275c2d617cc5736a117bf048a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#abc4a538317300484ec970d2ff6482a7a">visitRenderables</a> (<a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Renderable::Visitor</a> *visitor, bool debugRenderables)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">GeometryBucket</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a5c32bc9f532f1e2b98bf87add45c0c42">CurrentGeometryMap</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ac26fb3711b115766aae0a1d2b123627d">getGeometryFormatString</a> (<a class="el" href="structOgre_1_1StaticGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a> *geom)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a packed string identifying the geometry format.  <a href="#ac26fb3711b115766aae0a1d2b123627d"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a7c1560c621c28c3dedde95a6478f603f">mParent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to parent <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a>.  <a href="#a7c1560c621c28c3dedde95a6478f603f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ad9732afaff3edb7e770816e80843e772">mMaterialName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> being used.  <a href="#ad9732afaff3edb7e770816e80843e772"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a98238b3d99e1b247a587ae1fba6ab733">mMaterial</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to material being used.  <a href="#a98238b3d99e1b247a587ae1fba6ab733"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a3622d108622b55d5da61c1db57f9b0e8">mTechnique</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Active technique.  <a href="#a3622d108622b55d5da61c1db57f9b0e8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#abacbea05442639e1dc5e4962a559f234">GeometryBucketList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a98201e87d7d58a688a522c76864a19fa">mGeometryBucketList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">list of Geometry Buckets in this region  <a href="#a98201e87d7d58a688a522c76864a19fa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a5c32bc9f532f1e2b98bf87add45c0c42">CurrentGeometryMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a912c4811ed0139c062c652379bb1a934">mCurrentGeometryMap</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html" title="A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same L...">MaterialBucket</a> is a collection of smaller buckets with the same <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> (and implicitly the same LOD). </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00254">254</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a5c32bc9f532f1e2b98bf87add45c0c42"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::CurrentGeometryMap" ref="a5c32bc9f532f1e2b98bf87add45c0c42" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">GeometryBucket</a>*&gt;::type <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a5c32bc9f532f1e2b98bf87add45c0c42">Ogre::StaticGeometry::MaterialBucket::CurrentGeometryMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00272">272</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="abacbea05442639e1dc5e4962a559f234"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::GeometryBucketList" ref="abacbea05442639e1dc5e4962a559f234" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">GeometryBucket</a>*&gt;::type <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#abacbea05442639e1dc5e4962a559f234">Ogre::StaticGeometry::MaterialBucket::GeometryBucketList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>list of Geometry Buckets in this region </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00258">258</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab2f7c7785a86b2bf05998b96b73c5952"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::GeometryIterator" ref="ab2f7c7785a86b2bf05998b96b73c5952" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#abacbea05442639e1dc5e4962a559f234">GeometryBucketList</a>&gt; <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ab2f7c7785a86b2bf05998b96b73c5952">Ogre::StaticGeometry::MaterialBucket::GeometryIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Iterator over geometry. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00293">293</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae4abb9d4a5a88ff4cb1fb0f4b1fcac88"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::MaterialBucket" ref="ae4abb9d4a5a88ff4cb1fb0f4b1fcac88" args="(LODBucket *parent, const String &amp;materialName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ae4abb9d4a5a88ff4cb1fb0f4b1fcac88">Ogre::StaticGeometry::MaterialBucket::MaterialBucket</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>materialName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad0fed93d61daf061b73952e81d1143ff"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::~MaterialBucket" ref="ad0fed93d61daf061b73952e81d1143ff" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ad0fed93d61daf061b73952e81d1143ff">Ogre::StaticGeometry::MaterialBucket::~MaterialBucket</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad013710ae1cc19fe26a30c23cfd0eb37"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::addRenderables" ref="ad013710ae1cc19fe26a30c23cfd0eb37" args="(RenderQueue *queue, uint8 group, Real lodValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ad013710ae1cc19fe26a30c23cfd0eb37">Ogre::StaticGeometry::MaterialBucket::addRenderables</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&#160;</td>
          <td class="paramname"><em>queue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>lodValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add children to the render queue. </p>

</div>
</div>
<a class="anchor" id="a73c3eb66a47f97224dcbeb48dc9bb6c5"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::assign" ref="a73c3eb66a47f97224dcbeb48dc9bb6c5" args="(QueuedGeometry *qsm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a73c3eb66a47f97224dcbeb48dc9bb6c5">Ogre::StaticGeometry::MaterialBucket::assign</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html">QueuedGeometry</a> *&#160;</td>
          <td class="paramname"><em>qsm</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assign geometry to this bucket. </p>

</div>
</div>
<a class="anchor" id="aa3a817dab145e00ab3c07f1f62556f33"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::build" ref="aa3a817dab145e00ab3c07f1f62556f33" args="(bool stencilShadows)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#aa3a817dab145e00ab3c07f1f62556f33">Ogre::StaticGeometry::MaterialBucket::build</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>stencilShadows</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Build. </p>

</div>
</div>
<a class="anchor" id="a823eca275c2d617cc5736a117bf048a0"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::dump" ref="a823eca275c2d617cc5736a117bf048a0" args="(std::ofstream &amp;of) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a823eca275c2d617cc5736a117bf048a0">Ogre::StaticGeometry::MaterialBucket::dump</a> </td>
          <td>(</td>
          <td class="paramtype">std::ofstream &amp;&#160;</td>
          <td class="paramname"><em>of</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Dump contents for diagnostics. </p>

</div>
</div>
<a class="anchor" id="aa64dfa9bd9617249def12e684dde9caa"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getCurrentTechnique" ref="aa64dfa9bd9617249def12e684dde9caa" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#aa64dfa9bd9617249def12e684dde9caa">Ogre::StaticGeometry::MaterialBucket::getCurrentTechnique</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00297">297</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac26fb3711b115766aae0a1d2b123627d"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getGeometryFormatString" ref="ac26fb3711b115766aae0a1d2b123627d" args="(SubMeshLodGeometryLink *geom)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ac26fb3711b115766aae0a1d2b123627d">Ogre::StaticGeometry::MaterialBucket::getGeometryFormatString</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1StaticGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a> *&#160;</td>
          <td class="paramname"><em>geom</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a packed string identifying the geometry format. </p>

</div>
</div>
<a class="anchor" id="afbacbd597b172a0a3fbb59223cebc134"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getGeometryIterator" ref="afbacbd597b172a0a3fbb59223cebc134" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ab2f7c7785a86b2bf05998b96b73c5952">GeometryIterator</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#afbacbd597b172a0a3fbb59223cebc134">Ogre::StaticGeometry::MaterialBucket::getGeometryIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the contained geometry. </p>

</div>
</div>
<a class="anchor" id="aa338a96b9145a0c01e33da7e4728111c"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getMaterial" ref="aa338a96b9145a0c01e33da7e4728111c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&amp; <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#aa338a96b9145a0c01e33da7e4728111c">Ogre::StaticGeometry::MaterialBucket::getMaterial</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the material for this bucket. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00291">291</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5d5aba36b489789f297a57087f223d85"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getMaterialName" ref="a5d5aba36b489789f297a57087f223d85" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a5d5aba36b489789f297a57087f223d85">Ogre::StaticGeometry::MaterialBucket::getMaterialName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the material name. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00282">282</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab454a749c2ba7bae4002c70ed5afa626"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getParent" ref="ab454a749c2ba7bae4002c70ed5afa626" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ab454a749c2ba7bae4002c70ed5afa626">Ogre::StaticGeometry::MaterialBucket::getParent</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00280">280</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="abc4a538317300484ec970d2ff6482a7a"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::visitRenderables" ref="abc4a538317300484ec970d2ff6482a7a" args="(Renderable::Visitor *visitor, bool debugRenderables)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#abc4a538317300484ec970d2ff6482a7a">Ogre::StaticGeometry::MaterialBucket::visitRenderables</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Renderable::Visitor</a> *&#160;</td>
          <td class="paramname"><em>visitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>debugRenderables</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a912c4811ed0139c062c652379bb1a934"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mCurrentGeometryMap" ref="a912c4811ed0139c062c652379bb1a934" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a5c32bc9f532f1e2b98bf87add45c0c42">CurrentGeometryMap</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a912c4811ed0139c062c652379bb1a934">Ogre::StaticGeometry::MaterialBucket::mCurrentGeometryMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00273">273</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a98201e87d7d58a688a522c76864a19fa"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mGeometryBucketList" ref="a98201e87d7d58a688a522c76864a19fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#abacbea05442639e1dc5e4962a559f234">GeometryBucketList</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a98201e87d7d58a688a522c76864a19fa">Ogre::StaticGeometry::MaterialBucket::mGeometryBucketList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>list of Geometry Buckets in this region </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00270">270</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a98238b3d99e1b247a587ae1fba6ab733"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mMaterial" ref="a98238b3d99e1b247a587ae1fba6ab733" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a98238b3d99e1b247a587ae1fba6ab733">Ogre::StaticGeometry::MaterialBucket::mMaterial</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to material being used. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00265">265</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad9732afaff3edb7e770816e80843e772"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mMaterialName" ref="ad9732afaff3edb7e770816e80843e772" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#ad9732afaff3edb7e770816e80843e772">Ogre::StaticGeometry::MaterialBucket::mMaterialName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> being used. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00263">263</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7c1560c621c28c3dedde95a6478f603f"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mParent" ref="a7c1560c621c28c3dedde95a6478f603f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a7c1560c621c28c3dedde95a6478f603f">Ogre::StaticGeometry::MaterialBucket::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to parent <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a>. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00261">261</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3622d108622b55d5da61c1db57f9b0e8"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mTechnique" ref="a3622d108622b55d5da61c1db57f9b0e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a3622d108622b55d5da61c1db57f9b0e8">Ogre::StaticGeometry::MaterialBucket::mTechnique</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Active technique. </p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h_source.html#l00267">267</a> of file <a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStaticGeometry_8h_source.html">OgreStaticGeometry.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
